Skip to main content
`Ctrl`+`K`

# RGDestroy

Destroys `RG` context that was created with `RGCreate()`.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGDestroy(RG *rg)

Collective

## Input Parameter

- rg - the region context

## See Also

RG: Region, `RGCreate()`

## Level

beginner

## Location

src/sys/classes/rg/interface/rgbasic.c

## Implementations

RGDestroy_Ellipse() in src/sys/classes/rg/impls/ellipse/rgellipse.c
RGDestroy_Interval() in src/sys/classes/rg/impls/interval/rginterval.c
RGDestroy_Polygon() in src/sys/classes/rg/impls/polygon/rgpolygon.c
RGDestroy_Ring() in src/sys/classes/rg/impls/ring/rgring.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages